package com.aitrainer.api.controller

import com.aitrainer.api.model.ExerciseResult
import com.aitrainer.api.model.Exercises
import com.aitrainer.api.repository.ExerciseResultRepository
import com.aitrainer.api.repository.ExercisesRepository
import org.springframework.http.HttpStatus
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*
import javax.validation.Valid

@RestController
@RequestMapping("/api")
class ExerciseResultController(private val exerciseResultRepository: ExerciseResultRepository) {

    @GetMapping("/exercise_result/{id}")
    fun getExerciseResultsByCustomerId(@PathVariable(value = "id") customerId: Long): ResponseEntity<List<ExerciseResult>> {
        val list =  exerciseResultRepository.getAllByCustomerId(customerId)
        return if (list.isEmpty() ) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }

    @PostMapping("/exercise_result")
    fun createNewExerciseResult(@Valid @RequestBody exerciseResult: ExerciseResult): ResponseEntity<ExerciseResult> {
        return ResponseEntity.ok().body(exerciseResultRepository.save(exerciseResult))
    }


}