package com.aitrainer.api.repository

import com.aitrainer.api.model.Customer
import com.aitrainer.api.model.CustomerMembership
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface CustomerMembershipRepository : JpaRepository<CustomerMembership, Long> {
    @Query(" FROM CustomerMembership " +
            " WHERE customer = :customer"
    )
    fun findAllByCustomer(customer: Customer): List<CustomerMembership>
}
