package com.aitrainer.api.repository.diet

import com.aitrainer.api.model.diet.Meal
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query

interface MealRepository : JpaRepository<Meal, Int> {
    @Query(" FROM Meal WHERE id = :id")
    fun findById(id: Long): Meal?

    @Query(" FROM Meal WHERE name = :name")
    fun findByName(name: String): Meal?

    @Query(" FROM Meal WHERE name = :name AND quantity = :quantity")
    fun findByNameAndQuantity(name: String, quantity: Double): Meal?
}
